%define release 1mdk
%define name bayonne
%define version 0.7.5
%define _dsopath %_libdir/bayonne/%{version}

Summary: Bayonne - the telephony server of the GNU project
Name: bayonne
Version: %{version}
Release: %{release}
Group: Communications
Source: %{name}-%{version}.tar.bz2
Prefix: %{_prefix}
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://www.bayonne.cx
BuildRequires: libccscript1.8-devel >= 1.8.0 libccaudio0.5-devel >= 0.5.0 
Buildrequires: libCommonC++1.9_3-devel >= 1.9.0

%description
Bayonne offers a script programmable modular server for deploying
multi-line telephony voice response and computer telephony applications.

%package UsEngM
Summary: Bayonne-UsEngM - voice library for US English Male speaker
Group: Communications
Requires: bayonne

%package FrenchM
Summary: Bayonne-FrenchM - international voice library for French
Group: Communications
Requires: bayonne

%package FrenchF
Summary: Bayonne-FrenchF - international voice library for French
Group: Communications
Requires: bayonne

%package sunrpc
Summary: Bayonne bindings and libs for sun rpc services
Group: Communications
Requires: bayonne

%description sunrpc
This provides sunrpc services for use with a Bayonne server.

%description UsEngM
The US English "male" speaker library offers default voice prompts
for the Bayonne telephony server.

%description FrenchM
The French international "male" speaker library offers default French 
language voice prompts for the Bayonne telephony server.

%description FrenchF
The French international "female" speaker library offers default French
language voice prompts for the Bayonne telephony server.  Contributed
by Mariza Nicole.


%prep
rm -rf $RPM_BUILD_ROOT

%setup

# NOTE: in Common C++, compiler options are retreived from config.def
# and should not be overriden here!

./configure --prefix=%{_prefix} --without-openh323

%build

%make

%install
mkdir -p $RPM_BUILD_ROOT/var/bayonne
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
make prefix=$RPM_BUILD_ROOT/%{_prefix} etc_prefix=$RPM_BUILD_ROOT/etc \
        mandir=$RPM_BUILD_ROOT/%{_mandir} etc_suffix="" install
	make prefix=$RPM_BUILD_ROOT/%{_prefix} \
	        mandir=$RPM_BUILD_ROOT/%{_mandir} man

%post sunrpc -p /sbin/ldconfig

%postun sunrpc -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO THANKS ChangeLog BAYONNE.FAQ
%doc doc/html doc/latex doc/manual*

%config(noreplace) %attr(0644,root,root) %_sysconfdir/bayonne.conf
%config(noreplace) %attr(0644,root,root) %_sysconfdir/bayonne.sched
%config(noreplace)%_initrddir/bayonne

%dir %_datadir/aaprompts
%dir %{_dsopath}

%_bindir/bayonne_install
%_bindir/bayonne_control
%_bindir/bayonne_down
%_bindir/bayonne_start
%_bindir/bayonne_status
%_bindir/bayonne_update
%attr(06755,root,root) %_bindir/bayonne_wrapper
%_sbindir/*

%_prefix/libexec/%name

%_includedir/cc++/bayonne.h

%_datadir/aaprompts/sys
%_datadir/aascripts

%_mandir/man3/*
%_mandir/man8/*

%{_dsopath}/*

%attr(-,bayonne,bayonne) /var/bayonne

%files sunrpc
%defattr(-,root,root)
%doc COPYING
%_includedir/rpcsvc/bayonne.x
%_includedir/rpcsvc/bayonne.h
%_libdir/libbayonnerpc.*

%files UsEngM
%defattr(-,root,root)
%doc COPYING
%_datadir/aaprompts/UsEngM

%files FrenchM
%defattr(-,root,root)
%doc COPYING
%_datadir/aaprompts/FrenchM

%files FrenchF
%defattr(-,root,root)
%doc COPYING
%_datadir/aaprompts/FrenchF

%clean
rm -rf $RPM_BUILD_ROOT

%pre
grep '^bayonne:' /etc/passwd >/dev/null || /usr/sbin/adduser -r bayonne

%post 
/sbin/chkconfig --add bayonne
%_post_service bayonne

%preun 
/sbin/chkconfig --del bayonne
%_preun_service bayonne

%changelog
* Tue Feb 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Mon Dec 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-2mdk
- fix requires

* Thu Nov 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Tue Nov 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1
- clean spec

* Fri Sep 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-2mdk
- rebuild against new libCommonC++

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- updated to 0.6.4

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.12-1mdk
- updated to 0.5.12

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.11-1mdk
- updated to 0.5.11

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.8-1mdk 
- updated to 0.5.8

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.7-1mdk
- updated to 0.5.7

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-1mdk 
- updated to 0.5.6

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- updated to 0.5.5

* Wed Dec 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.4-1mdk
- updated to 0.5.4

* Tue Sep 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Tue Jul 25 2000 David Sugar <dyfet@ostel.com> 0.4.2-1mdk
- added changes suggested by Lenny Cartier <lenny@mandrakesoft.com>.
- made into a relocatable package.
 
* Mon Jul 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- use of CXXFLAGS="-DIXJ_CID=PHONE_CID" to fix problem with new kernel headers
- FHS2.1
- add buildrequires 
